{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list tags_cursos %}
{% load url from future %}
{% load admin_urls %}

{% block extrastyle %}
    {{ block.super }}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}"/>
    {% url 'admin:jsi18n' as jsi18nurl %}
    <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
    <script type="text/javascript" src="{% static 'admin/js/core.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/admin/RelatedObjectLookups.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/jquery.init.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/actions.min.js' %}"></script>


    {{ media.css }}
{% endblock %}

{% block extrahead %}
    {{ block.super }}
    {{ media.js }}
    <script type="text/javascript">
        (function ($) {
            $(document).ready(function ($) {
                $("tr input.action-select").actions();
            });
        })(django.jQuery);
    </script>
{% endblock %}

{% block bodyclass %}change-list{% endblock %}

{% block breadcrumbs %}
    <div class="breadcrumbs">
        <a href="../../">
            {% trans "Inicio" %} &rsaquo;
        </a>
        {% trans "Ver Grupos Horarios" %}
    </div>
{% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}
    <h2>Materiales por Grupos Horarios</h2>
    <div id="content-main">
        {% block object-tools %}
            {% if perms.Cursos.add_periodocurso or perms.Cursos.change_periodocurso %}
                <ul class="object-tools">
                    <li>
                        <a href="configurar/" class="addlink">
                            {% trans 'Configurar Cursos por Período' %}
                        </a>
                    </li>
                </ul>
            {% endif %}
        {% endblock %}
        <div class="module filtered" id="changelist">

            <div id="toolbar">
                <form id="changelist-search" action="" method="get">{% csrf_token %}
                    <div><!-- DIV needed for valid HTML -->
                        <label for="searchbar"><img src="{% static 'admin/img/icon_searchbox.png' %}"
                                                    alt="Search"/></label>
                        <input type="text" size="40" name="q" value="{{ query|escape }}" id="searchbar"/>
                        {% if query1 %}
                            <input type="hidden" name="c" value="{{ query1|escape }}"/>
                        {% endif %}
                        {% if query2 %}
                            <input type="hidden" name="p" value="{{ query2|escape }}"/>
                        {% endif %}
                        {% if query3 %}
                            <input type="hidden" name="n" value="{{ query3|escape }}"/>
                        {% endif %}
                        <input type="submit" value="{% trans 'Search' %}"/>
                        <span class="small quiet">{{ n_grupos }} Grupos Horarios UDL</span>
                    </div>
                </form>
            </div>
            <script type="text/javascript">document.getElementById("searchbar").focus();</script>


            {% block filters %}
                <div id="changelist-filter">
                    <h2>{% trans 'Filter' %}</h2>


                    <h3> {% trans 'Por Semestres' %}</h3>

                    <ul>
                        <li {% if not query %}{% if not query2 %}class="selected"{% endif %}{% endif %}><a
                                href="?">Todos/as</a>
                        </li>

                        {% for periodo in periodos %}
                            <li {% ifequal query2 periodo.id|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query3 %}n={{ query3 }}&{% endif %}p={{ periodo.id }}">{{ periodo }}</a>
                            </li>
                        {% endfor %}
                    </ul>

                    <h3> {% trans 'Por Carreras' %}</h3>

                    <ul>
                        <li {% if not query %}{% if not query1 %}class="selected"{% endif %}{% endif %}><a
                                href="?">Todos/as</a>
                        </li>

                        {% for carrera in carreras %}
                            <li {% ifequal query1 carrera.id|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query3 %}n={{ query3 }}&{% endif %}c={{ carrera.id }}">{{ carrera.Carrera }}</a>
                            </li>
                        {% endfor %}
                    </ul>

                    <h3> {% trans 'Por Ciclos' %}</h3>

                    <ul>
                        <li {% if not query %}{% if not query3 %}class="selected"{% endif %}{% endif %}><a
                                href="?">Todos/as</a>
                        </li>

                        {% for ciclo in ciclos %}
                            <li {% ifequal query3 ciclo|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}n={{ ciclo }}">{{ ciclo }}º
                                    Ciclo</a></li>
                        {% endfor %}
                    </ul>

                </div>
            {% endblock %}
            <form method="POST" action="">{% csrf_token %}
                <div class="actions">
                    <label>Acción:</label>
                    <select name="action">
                        <option selected="selected" value="">---------</option>
                    </select>
                    <input class="select-across" type="hidden" name="select_across" value="0">
                    <button class="button" name="index" title="Ejecutar la acción seleccionada" type="SUBMIT">Ejecutar
                    </button>
                    <script type="text/javascript">
                        var _actions_icnt = "100";
                    </script>
                    <span class="action-counter" style="display: inline;">{{ n_grupos }} Grupo(s) Horario UDL</span>
                    <span class="all" style="display: none;">{{ n_grupos }} Grupo(s) Horario UDL seleccionados</span>
                    <span class="question" style="display: none;"><a
                            title="Pulse aquí para seleccionar los objetos a través de todas las páginas"
                            href="javascript:;">Seleccionar todos los {{ n_grupos }} Grupo(s) Horario UDL</a></span>
                    <span class="clear" style="display: none;"><a href="javascript:;">Limpiar selección</a></span>
                </div>

                {% block result_list %}
                    {% if query %}
                        <h2>{% trans 'Resultados para' %} "{{ query|escape }}":</h2>
                    {% endif %}
                    {% if results %}
                        <div class="results">
                            <table id='result_list'>
                                <thEAD>
                                <TR>
                                    <th scope='col' class='action-checkbox-column'>
                                        <div class="text"><span><input type="checkbox" id="action-toggle"
                                                                       style="display: inline;"></span></div>
                                    </th>
                                    <th scope='col'>
                                        <div class="text"><span>{% trans 'Grupo' %}</span></div>
                                    </th>
                                    <th scope='col'>
                                        <div class="text"><span>{% trans 'Código' %}</span></div>
                                    </th>
                                    <th scope='col'>
                                        <div class="text"><span>{% trans 'Curso' %}</span></div>
                                    </th>
                                    <th scope='col'>
                                        <div class="text"><span>{% trans 'Ciclo' %}</span></div>
                                    </th>
                                    <th scope='col'>
                                        <div class="text"><span>{% trans 'Carrera' %}</span></div>
                                    </th>
                                    <th scope='col'>
                                        <div class="text"><span>{% trans 'Semestre' %}</span></div>
                                    </th>
                                    <th scope='col'>
                                        <div class="text"><span>{% trans 'Docente' %}</span></div>
                                    </th>
                                    <th scope='col'>
                                        <div class="text"><span>{% trans 'Material' %}</span></div>
                                    </th>
                                    <th scope='col'>
                                        <div class="text"><span>{% trans 'Silabo' %}</span></div>
                                    </th>
                                </TR>
                                </thEAD>
                                <TBODY>
                                {% for grupo in results.object_list %}
                                    <TR class="{% cycle 'row1' 'row2' %}">
                                        <td><input type="checkbox" name="_selected_action" value="{{ grupo.id }}"
                                                   class="action-select"></td>
                                        <td><a href="{{ grupo.id }}/">{{ grupo.Grupo|escape }}</a></td>
                                        <td>{{ grupo.Curso.Codigo|escape }}</td>
                                        <td>{{ grupo.Curso.Nombre|escape }} </td>
                                        <td>{{ grupo.Curso.Ciclo|escape }}º Ciclo</td>
                                        <td>{{ grupo.Curso.Carrera.Carrera|escape }}</td>
                                        <td>{{ grupo.Periodo|escape }}</td>
                                        <td>{{ grupo.Docente|escape }}</td>
                                        <td>
                                            <ul>
                                                {% for material in grupo.materialcurso_set.all %}
                                                    <li><a href="

                                                            {% static 'uploads/' %}{{ material.Archivo.name }}">{{ material.Nombre }}</a>
                                                    </li>
                                                {% endfor %}
                                            </ul>
                                        </td>
                                        <TD>
                                            {% if grupo.silabocurso_set.all %}
                                                <a href="/docente/profile/ver_silabo/{{ grupo.id }}/descargar/">Si</a>
                                            {% elif grupo.silabomaterial == "SI" %}
                                                {% for material in grupo.materialcurso_set.all %}
                                                    {% if material.Issilabo %}
                                                        <a href="{% static 'uploads/' %}{{ material.Archivo.name }}">Si</a>
                                                    {% endif %}
                                                {% endfor %}
                                            {% else %}
                                                No
                                            {% endif %}
                                        </TD>
                                    </TR>
                                {% endfor %}
                                </TBODY>
                            </table>
                        </div>
                    {% else %}
                        <p>{% trans 'No se encontraron coincidencias' %}</p>
                    {% endif %}
                {% endblock %}
                {% block pagination %}
                    {% render_paginator 2 3 %}
                {% endblock %}
            </form>
        </div>
    </div>
{% endblock %}
